<template>
  <div class='hub-main-screen'>
    <div class='hub-main-screen__container container'>
      <div class='hub-main-screen__content content'>
        <h1 class='base-title'>{{$t('title')}}
        </h1>
        <p>{{$t('subtitle')}}</p>
        <div class='content__actions'>
          <base-button shaded  @click.native='$router.push({ path: localePath("/cloud"), hash: "#plans" })'>
            {{$t('chooseBtn')}}
          </base-button>
          <base-button @click.native='$router.push(localePath("/application"))' >
            {{$t('submitBtn')}}
          </base-button>
        </div>
      </div>
      <div class='hub-main-screen__img img'>
        <img src='../../assets/img/hub/pers.svg' width='651' height='512' alt='pers'/>
      </div>
    </div>
  </div>
</template>

<script>
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton }
}
</script>

<i18n>
{
  "en": {
    "title": "Create your own business in two clicks",
    "subtitle": "Take advantage of ready-to-use technology and liquidity solutions from TBCC",
    "chooseBtn": "Choose solution",
    "submitBtn": "Submit your App"
  },
  "ch": {
    "title": "点击两下就能创建您自己的业务",
    "subtitle": "利用TBCC提供的即用型技术和流动资金解决方案的优势",
    "chooseBtn": "选择解决方案",
    "submitBtn": "Submit your App"
  },
  "tur": {
    "title": "Create your own business in two clicks",
    "subtitle": "Take advantage of ready-to-use technology and liquidity solutions from TBCC",
    "chooseBtn": "Choose solution",
    "submitBtn": "Submit your App"
  }
}
</i18n>


<style lang='scss' scoped>
.base-title {
  font-weight: 700;
  font-size: 36px;
  line-height: 45px;
  margin: 0 0 20px;
  position: relative;
  max-width: 380px;

  @media(max-width: 767px) {
    text-align: center;
    margin-bottom: 25px;
  }


  @media(min-width: 1024px) {
    font-size: 50px;
    line-height: 54px;
  }

  @media(min-width: 1200px) {
    font-size: 60px;
    line-height: 74px;
    max-width: 430px;
  }

  @media (min-width: 768px) {
    &::before {
      content: "";
      position: absolute;
      width: 509px;
      height: 270px;
      top: -170px;
      left: -165px;
      background-image: url("../../assets/img/hub/bg-star1.svg");
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
    }
  }
}

.hub-main-screen {
  background: linear-gradient(169deg, #1F0C71 27.28%, #041344 67.8%);

  @media (min-width: 768px) {
    padding-top: 65px;
  }

  @media (min-width: 1024px) {
    padding-top: 100px;
  }

  &__container {
    padding-top: 50px;
    padding-bottom: 80px;
    display: flex;
    align-items: center;

    @media (max-width: 767px) {
      flex-direction: column;
      padding-bottom: 10px;
    }
  }

  &__content,
  &__img {
    flex: 0 0 50%;
    max-width: 50%;

    @media (max-width: 767px) {
      flex: 0 0 100%;
      max-width: 100%;
    }
  }
}

.content {

  @media (max-width: 767px) {
    order: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    top: -60px;
  }

  @media (max-width: 500px) {
    top: -80px;
  }

  p {
    font-size: 20px;
    line-height: 28px;
    color: #CED7E7;
    max-width: 440px;
    margin: 0 0 40px;
    position: relative;

    @media(max-width: 767px) {
      text-align: center;
      max-width: 327px;
      margin-bottom: 30px;
      font-size: 18px;
      line-height: 26px;
    }

    @media (min-width: 768px) {
      &::before {
        content: "";
        position: absolute;
        width: 605px;
        height: 296px;
        top: -168px;
        left: -63px;
        background-image: url("../../assets/img/hub/bg-star2.svg");
        background-repeat: no-repeat;
        background-position: center;
        pointer-events: none;
      }
    }
  }

  &__actions {
    position: relative;
    z-index: 1;

    @media (max-width: 767px) {
      display: flex;
      align-items: center;
      flex-direction: column;
    }

    button:first-child {
      margin-right: 20px;

      @media(min-width: 768px) and (max-width: 900px) {
        margin-right: 10px;
      }

      @media (max-width: 767px) {
        margin-right: 0;
        margin-bottom: 25px;
      }
    }

    button:last-child {
      background: #051345;
    }

    @media (max-width: 767px) {
      button {
        width: 319px;
        justify-content: center;
        min-height: 56px;
      }
    }

    @media (min-width: 768px) and (max-width: 900px){
      button {
        padding: 15px 25px;
      }
    }
  }
}

.img {
  position: relative;
  z-index: 1;

  @media (min-width: 768px) {
    &::before {
      content: "";
      position: absolute;
      width: 487px;
      height: 149px;
      top: -50px;
      left: 4px;
      background-image: url("../../assets/img/hub/bg-star3.svg");
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
    }


    &::after {
      content: "";
      position: absolute;
      width: 502px;
      height: 270px;
      bottom: 125px;
      right: -335px;
      background-image: url("../../assets/img/hub/bg-star4.svg");
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      z-index: -1;
    }
  }


  img {
    position: relative;
    top: -55px;
    width: 100%;
    height: 100%;
    max-width: 651px;
    max-height: 512px;


      @media (max-width: 767px) {
      left: 54%;
      transform: translateX(-50%);
      min-width: 460px;
      min-height: 401px;
    }

      @media (min-width: 1200px) {
      width: 651px;
      height: 512px;
    }
  }
}
</style>
